net.sf.jasperreports.engine

## Interface JRExporter<I extends ExporterInput,IC extends ReportExportConfiguration,C extends ExporterConfiguration,O extends ExporterOutput>

- All Superinterfaces:
    Exporter<I,IC,C,O>
  All Known Implementing Classes:
    AbstractHtmlExporter, HtmlExporter, JExcelApiExporter, JExcelApiMetadataExporter, JRAbstractCsvExporter, JRAbstractExporter, JRCsvExporter, JRCsvMetadataExporter, JRDocxExporter, JRGraphics2DExporter, JRHtmlExporter, JROdsExporter, JROdtExporter, JRPdfExporter, JRPptxExporter, JRPrintServiceExporter, JRRtfExporter, JRTextExporter, JRXhtmlExporter, JRXlsAbstractExporter, JRXlsAbstractMetadataExporter, JRXlsExporter, JRXlsMetadataExporter, JRXlsxExporter, JRXml4SwfExporter, JRXmlExporter, JsonExporter

  Deprecated.
  Replaced by `Exporter`.

      public interface JRExporter<I extends ExporterInput,IC extends ReportExportConfiguration,C extends ExporterConfiguration,O extends ExporterOutput>
      extends Exporter<I,IC,C,O>

  All document exporting in JasperReports is done through this interface. There is an implementation of this interface for every document format that JasperReports supports at the moment.

  Export customization is realized by using export parameters. Each exporter is able to recognize and use its own parameters, but there is a subset of predefined parameters that are common to all exporters. Those are identified by constants in the `JRExporterParameter` base class. All parameters are documented inside the classes where they are defined.

  An important aspect is the output type of each exporter. There are three types of exporters depending on the type of output they produce:

  - exporters that export to text or character based file formats (HTML, RTF, CSV, TXT, XML exporters);
  - exporters that export to binary file formats (PDF and XLS exporters)
  - exporters that export directly to graphic devices (Graphics2D and Java Print Service exporters)

  All existing exporters fall into two categories depending on the way the content of the documents they produce could be structured:

  - there are the exporters which target document formats which support free-form page content. These are the Grapchis2D, PDF, RTF and XML exporters.
  - the second category of exporters groups those exporters that target document formats which only support relative positioning of elements on a page or a grid-based layout. In this category we have the HTML, XLS and CSV exporters.
  Version:
    $Id: JRExporter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getParameter(JRExporterParameter parameter)` Deprecated. Replaced by `ExporterInput`, `ExporterConfiguration` and `ExporterOutput`.
    `java.util.Map<JRExporterParameter,java.lang.Object>` | `getParameters()` Deprecated. Replaced by `ExporterInput`, `ExporterConfiguration` and `ExporterOutput`.
    `void` | `setParameter(JRExporterParameter parameter, java.lang.Object value)` Deprecated. Replaced by `Exporter.setExporterInput(net.sf.jasperreports.export.ExporterInput)`, `Exporter.setConfiguration(ExporterConfiguration)` and `Exporter.setExporterOutput(net.sf.jasperreports.export.ExporterOutput)`
    `void` | `setParameters(java.util.Map<JRExporterParameter,java.lang.Object> parameters)` Deprecated. Replaced by `Exporter.setExporterInput(net.sf.jasperreports.export.ExporterInput)`, `Exporter.setConfiguration(ExporterConfiguration)` and `Exporter.setExporterOutput(net.sf.jasperreports.export.ExporterOutput)`

    - ### Methods inherited from interface net.sf.jasperreports.export.Exporter

      `exportReport, getReportContext, setConfiguration, setConfiguration, setExporterInput, setExporterOutput, setReportContext`

- - ### Method Detail

    - #### setParameter

          void setParameter(JRExporterParameter parameter,
                          java.lang.Object value)

      Deprecated. Replaced by `Exporter.setExporterInput(net.sf.jasperreports.export.ExporterInput)`, `Exporter.setConfiguration(ExporterConfiguration)` and `Exporter.setExporterOutput(net.sf.jasperreports.export.ExporterOutput)`
      Sets an export parameter for advanced customization of the export process. Parameters can be either common parameters or specialized ones, depending on the exporter type.
      Parameters:
        `parameter` - the parameter, selected from the static parameters defined by JasperReports
        `value` - the parameter value
      See Also:
        `JRExporterParameter`

    - #### getParameter

          java.lang.Object getParameter(JRExporterParameter parameter)

      Deprecated. Replaced by `ExporterInput`, `ExporterConfiguration` and `ExporterOutput`.
      Gets an export parameter.

    - #### setParameters

          void setParameters(java.util.Map<JRExporterParameter,java.lang.Object> parameters)

      Deprecated. Replaced by `Exporter.setExporterInput(net.sf.jasperreports.export.ExporterInput)`, `Exporter.setConfiguration(ExporterConfiguration)` and `Exporter.setExporterOutput(net.sf.jasperreports.export.ExporterOutput)`
      Sets export parameters from a specified map.
      See Also:
        `setParameter(JRExporterParameter, Object)`

    - #### getParameters

          java.util.Map<JRExporterParameter,java.lang.Object> getParameters()

      Deprecated. Replaced by `ExporterInput`, `ExporterConfiguration` and `ExporterOutput`.
      Gets a map containing all export parameters.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com